%define	version		0.5
%define release		3mdk

%define lib_major	1
%define lib_name	%mklibname ast %{lib_major}

%define enable_mmx 0
%{?_with_mmx: %global enable_mmx 1}

Summary:		LibAST is the Library of Assorted Spiffy Things 
Name:			libast
Version:		%{version}
Release:		%{release}
Source:			%{name}-%{version}.tar.bz2
URL:			http://www.eterm.org/
Group:			System/Libraries
BuildRoot:		%{_tmppath}/%{name}-%{release}-buildroot
License:		BSD
BuildRequires:		imlib2-devel
BuildRequires:		pcre-devel

%description
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

Build Option:
--with mmx        Enable detection of MMX code in CPU (default disabled)

# main package (contains *.so.[major].* only)

%package	-n %{lib_name}
Summary:	LibAST is the Library of Assorted Spiffy Things
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.


# devel part of the bundle

%package	-n %{lib_name}-devel
Summary:	LibAST is the Library of Assorted Spiffy Things - development environment
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{lib_name}-devel
Install this package if you need to compile applications that needs
%{name}.

%prep
%setup -q
#autoconf

%build
%configure2_5x \
%if %enable_mmx
	--enable-mmx=yes \
%else
	--enable-mmx=no \
%endif

%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc README 
%{_libdir}/lib*.so.*

%files  -n %{lib_name}-devel
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_bindir}/*

%changelog
* Mon Sep  1 2003 Abel Cheung <deaddog@deaddog.org> 0.5-3mdk
- mklibname
- various spec tweaks
- rasterman stuff are using BSD license

* Sun Apr 20 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5-2mdk
- BuildRequires: gettext-devel

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.5-1mdk
- 0.5
- remove cleaning patch
- some spec cleanups
- don't do "make test".. the author's spec doesn't and one test fails

* Sun Nov 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4-3mdk
- Costlessly make check in %%build
- Patch0: Clean configure of any reference to -I/usr/include or
  -L/usr/lib. Assume, we have a prefix of /usr here.

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- added requires
- recompiled for libintl2

* Thu Nov 22 2001 Vincent Guardiola  <vguardiola@mandrakesoft.com> 0.4-1mdk
-  Initial packaging
